com.parse

## Class ParseInstallation

- java.lang.Object
- - com.parse.ParseObject
  - - com.parse.ParseInstallation

    public class ParseInstallation
    extends ParseObject

The `ParseInstallation` is a local representation of installation data that can be saved and retrieved from the Parse cloud.

### Field Summary

### Fields inherited from class com.parse.ParseObject

`DEFAULT_PIN`

### Constructor Summary

Constructors
Constructor and Description
`ParseInstallation()`

### Method Summary

Methods
`static ParseInstallation` `getCurrentInstallation()`
`String` `getInstallationId()` Returns the unique ID of this installation.
`static ParseQuery<ParseInstallation>` `getQuery()` Constructs a query for `ParseInstallation`.

### Methods inherited from class com.parse.ParseObject

`add, addAll, addAllUnique, addUnique, containsKey, create, create, createWithoutData, createWithoutData, delete, deleteAll, deleteAllInBackground, deleteAllInBackground, deleteEventually, deleteEventually, deleteInBackground, deleteInBackground, fetch, fetchAll, fetchAllIfNeeded, fetchAllIfNeededInBackground, fetchAllIfNeededInBackground, fetchAllInBackground, fetchAllInBackground, fetchFromLocalDatastore, fetchFromLocalDatastoreInBackground, fetchIfNeeded, fetchIfNeededInBackground, fetchIfNeededInBackground, fetchInBackground, fetchInBackground, get, getACL, getBoolean, getBytes, getClassName, getCreatedAt, getDate, getDouble, getInt, getJSONArray, getJSONObject, getList, getLong, getMap, getNumber, getObjectId, getParseFile, getParseGeoPoint, getParseObject, getParseUser, getRelation, getString, getUpdatedAt, has, hasSameId, increment, increment, isDataAvailable, isDirty, isDirty, keySet, pin, pin, pinAll, pinAll, pinAllInBackground, pinAllInBackground, pinAllInBackground, pinAllInBackground, pinInBackground, pinInBackground, pinInBackground, pinInBackground, put, refresh, refreshInBackground, registerSubclass, remove, removeAll, revert, revert, save, saveAll, saveAllInBackground, saveAllInBackground, saveEventually, saveEventually, saveInBackground, saveInBackground, setACL, setObjectId, unpin, unpin, unpinAll, unpinAll, unpinAll, unpinAll, unpinAllInBackground, unpinAllInBackground, unpinAllInBackground, unpinAllInBackground, unpinAllInBackground, unpinAllInBackground, unpinAllInBackground, unpinAllInBackground, unpinInBackground, unpinInBackground, unpinInBackground, unpinInBackground`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParseInstallation

    public ParseInstallation()

### Method Detail

#### getCurrentInstallation

    public static ParseInstallation getCurrentInstallation()

#### getQuery

    public static ParseQuery<ParseInstallation> getQuery()

Constructs a query for `ParseInstallation`.

Note: We only allow the following types of queries for installations:

     query.get(objectId)
     query.whereEqualTo("installationId", value)
     query.whereMatchesKeyInQuery("installationId", keyInQuery, query)

You can add additional query clauses, but one of the above must appear as a top-level `AND` clause in the query.

See Also:
  `ParseQuery.getQuery(Class)`

#### getInstallationId

    public String getInstallationId()

Returns the unique ID of this installation.

Returns:
  A UUID that represents this device.